Bug 1476544 - blivet.errors.FormatSetupError: invalid device specification
blivet.errors.FormatSetupError: invalid device specification
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:0abb12bc4d322e72cfa3d1948dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 01:10 EDT by Mike
Modified: 2018-05-29 07:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (710.94 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: anaconda.log (15.81 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: environ (508 bytes, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: journalctl (281.61 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: lsblk_output (2.70 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: nmcli_dev_list (2.07 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: os_info (518 bytes, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: program.log (40.97 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: storage.log (250.34 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details
File: ifcfg.log (3.58 KB, text/plain)
2017-07-30 01:10 EDT, Mike
no flags Details

  None (edit)
Description Mike 2017-07-30 01:10:32 EDT
Version-Release number of selected component:
anaconda-core-26.21.11-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 626, in _pre_setup
    raise FormatSetupError("invalid device specification")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/luks.py", line 219, in _pre_setup
    return super(LUKS, self)._pre_setup(**kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 599, in setup
    if not self._pre_setup(**kwargs):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 1268, in luks_decrypt
    blivet_device.format.setup()
  File "/usr/lib/python3.6/site-packages/blivetgui/osinstall.py", line 78, in remote_call
    return utils_method(*args)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 629, in decrypt_device
    ret = self.client.remote_call("luks_decrypt", self.list_partitions.selected_partition[0], response)
blivet.errors.FormatSetupError: invalid device specification

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: blivet-gui-runtime-2.1.5-2.fc26.noarch, python3-blivet-2.1.9-1.fc26.noarch
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26
Comment 1 Mike 2017-07-30 01:10:34 EDT
Created attachment 1306454 [details]
File: anaconda-tb
Comment 2 Mike 2017-07-30 01:10:35 EDT
Created attachment 1306455 [details]
File: anaconda.log
Comment 3 Mike 2017-07-30 01:10:36 EDT
Created attachment 1306456 [details]
File: environ
Comment 4 Mike 2017-07-30 01:10:37 EDT
Created attachment 1306457 [details]
File: journalctl
Comment 5 Mike 2017-07-30 01:10:38 EDT
Created attachment 1306458 [details]
File: lsblk_output
Comment 6 Mike 2017-07-30 01:10:39 EDT
Created attachment 1306459 [details]
File: nmcli_dev_list
Comment 7 Mike 2017-07-30 01:10:40 EDT
Created attachment 1306460 [details]
File: os_info
Comment 8 Mike 2017-07-30 01:10:41 EDT
Created attachment 1306461 [details]
File: program.log
Comment 9 Mike 2017-07-30 01:10:42 EDT
Created attachment 1306462 [details]
File: storage.log
Comment 10 Mike 2017-07-30 01:10:43 EDT
Created attachment 1306463 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2018-05-03 04:31:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2018-05-29 07:56:23 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.